Como usar ActionBarActivity com Theme.Material

? Some Noob Student @ | Original: StackOverFlow
---

Eu criei um novo projeto visando o L visualização. A atividade inicial que o SDK gera estende ActionBarActivity, no entanto, quando tento executar o bare -bone atividade gerada, ele lança a seguinte exceção :

  Caused by: java.lang.IllegalStateException: You need to use a Theme.AppCompat theme (or descendant) with this activity.
            at android.support.v7.app.ActionBarActivityDelegate.onCreate(ActionBarActivityDelegate.java:110)
            at android.support.v7.app.ActionBarActivityDelegateICS.onCreate(ActionBarActivityDelegateICS.java:57)
            at android.support.v7.app.ActionBarActivity.onCreate(ActionBarActivity.java:99)

Eu olhei ao redor, mas Theme.AppCompat.Material não parece existir. Como eu faço ActionBarActivity para aproveitar os novos temas materiais?

Meu build.gradle :

apply plugin: 'com.android.application'

android {
    compileSdkVersion 'android-L'
    buildToolsVersion '20.0.0'
    defaultConfig {
        applicationId 'com.sdchang.example'
        minSdkVersion 'L'
        targetSdkVersion 'L'
        versionCode 1
        versionName '1.0'
    }
    buildTypes {
        release {
            runProguard false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
    productFlavors {
    }
}

dependencies {
    compile fileTree(dir: 'libs', include: ['*.jar'])
    compile 'com.android.support:appcompat-v7:21.+'
    compile 'com.mcxiaoke.volley:library:1.0.+@aar'
    compile 'com.google.code.gson:gson:2.2.+'
    compile 'com.squareup.okhttp:okhttp:2.0.+'
}
---

Top 5 Responder

1Vova K. @

Você precisa mudar a dependência na gradle build

compile 'com.android.support:appcompat-v7:21.+'
2ianhanniballake @

AppCompat v21 . + ' S Theme.AppCompat estende Theme.Base.AppCompat, que se estende Theme.Platform.AppCompat, que se estende android:Theme.Material na 21+ dispositivos ( ou seja, L Android ) dispositivos para que você não deveria ter que fazer alguma coisa específica para obter o Material tema, se você estiver usando AppCompat .